
QGIS Application - Bug report #11374

Error while launching a model from the modeler

2014-10-09 01:50 PM - Etienne Trimaille

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19665

Description

I have my own model. I can launch it from the right panel, it's ok.

However, I can't launch it from the modeler :

Traceback (most recent call last):

  File "/home/etienne/.qgis2/python/plugins/processing/modeler/ModelerDialog.py", line 233, in runModel

    alg = self.alg.getCopy()

  File "/home/etienne/.qgis2/python/plugins/processing/modeler/ModelerAlgorithm.py", line 162, in getCopy

    newone.algs = copy.deepcopy(self.algs)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 298, in _deepcopy_inst

    state = deepcopy(state, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 298, in _deepcopy_inst

    state = deepcopy(state, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 298, in _deepcopy_inst

    state = deepcopy(state, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 230, in _deepcopy_list
    y.append(deepcopy(a, memo))

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 298, in _deepcopy_inst

    state = deepcopy(state, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 298, in _deepcopy_inst

    state = deepcopy(state, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 298, in _deepcopy_inst

    state = deepcopy(state, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 174, in deepcopy

    y = copier(memo)

TypeError: cannot deepcopy this pattern object

History

#1 - 2014-10-24 02:37 PM - Etienne Trimaille

The same error arrives when a launch my model in batch-mode.

#2 - 2014-11-22 01:49 AM - Alexander Bruy

Please attach your model for testing

#3 - 2014-11-22 08:35 AM - Etienne Trimaille

- File voirie_insee.model added

Yes, it works for some other models.
You can try with this one, you will need the QuickOSM plugin.

#4 - 2015-05-22 12:21 AM - Paolo Cavallini

- Status changed from Open to Feedback

Still true?

#5 - 2015-05-22 12:54 AM - Etienne Trimaille

Yes, this still true.

Processing version : 2.9.99

QGis 2.8.2 and qgis master

#6 - 2015-05-22 12:57 AM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2016-02-23 02:25 AM - Etienne Trimaille

- Status changed from Open to Closed

I can't replicate in QGIS master and Processing 2.12.2.

Files

voirie_insee.model 18.5 KB 2014-11-22 Etienne Trimaille
